Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2093320 (CVE-2022-30785) - CVE-2022-30785 ntfs-3g: a file handle created in fuse_lib_opendir, and later used in fuse_lib_readdir, enables arbitrary memory read and write operations
Summary: CVE-2022-30785 ntfs-3g: a file handle created in fuse_lib_opendir, and later ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2022-30785
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2093323 2093321 2093322 2093324 2093325
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-03 13:50 UTC by Guilherme de Almeida Suckevicz
Modified: 2024-03-20 10:31 UTC (History)
8 users (show)

Fixed In Version: ntfs-3g 2022.5.17
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in NTFS-3G. A file handle created in fuse_lib_opendir and later used in fuse_lib_readdir allows out-of-bounds read/write operations.
Clone Of:
Environment:
Last Closed: 2022-11-27 11:25:03 UTC
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2022-06-03 13:50:30 UTC
A file handle created in fuse_lib_opendir, and later used in fuse_lib_readdir, enables arbitrary memory read and write operations in NTFS-3G through 2021.8.22 when using libfuse-lite.

References:
https://github.com/tuxera/ntfs-3g/security/advisories/GHSA-6mv4-4v73-xw58
https://github.com/tuxera/ntfs-3g/releases

Comment 1 Guilherme de Almeida Suckevicz 2022-06-03 13:50:59 UTC
Created ntfs-3g tracking bugs for this issue:

Affects: epel-all [bug 2093322]
Affects: fedora-all [bug 2093321]


Created ntfs-3g-system-compression tracking bugs for this issue:

Affects: epel-all [bug 2093323]
Affects: fedora-all [bug 2093325]


Created ntfs2btrfs tracking bugs for this issue:

Affects: fedora-all [bug 2093324]

Comment 2 Product Security DevOps Team 2022-11-27 11:25:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-30785


Note You need to log in before you can comment on or make changes to this bug.